List company profiles
curl --request GET \
--url https://app.gc.ai/api/external/v1/company-profiles \
--header 'Authorization: <api-key>'import requests
url = "https://app.gc.ai/api/external/v1/company-profiles"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.gc.ai/api/external/v1/company-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_profiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"dba_name": "<string>",
"industry": "<string>",
"size": "<string>",
"location": "<string>",
"incorporation_country": "<string>",
"incorporation_state": "<string>",
"description": "<string>",
"revenue": "<string>",
"legal_matters": "<string>",
"regulations": "<string>",
"risk_tolerance": "<string>",
"additional_info": "<string>",
"customer_types": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"details": {}
}Profiles
List Company Profiles
List the company profiles in the organization: the company contexts (industry, jurisdiction, regulations, risk posture) the AI can use to ground answers.
With a user-scoped key, only the company profiles the user can read are returned. With an org-scoped key, all of the organization’s company profiles are returned.
This is the multi-profile counterpart to the singular /company-profile, and the way to discover the id a company profile is addressed by elsewhere in the API.
GET
/
company-profiles
List company profiles
Authorizations
API key for authentication. Format: gcai_xxxxxxxxx
Create API keys in the GC AI app under Settings → API.
Query Parameters
Max items to return (default 100, max 500)
Required range:
1 <= x <= 500Number of items to skip (default 0)
Required range:
x >= 0Was this page helpful?
⌘I